/* name: classes.h
   author: Leo Liberti
   purpose: implementation file for Complex project
   source: GNU C++
   history: 080204 work started
*/

#include "complex.h"

Complex::Complex() : myReal(0.0), myImag(0.0) { }

Complex::Complex(double theReal, double theImag) : 
  myReal(theReal), myImag(theImag) { }

Complex::Complex(const Complex& c) : 
  myReal(c.getRealPart()), myImag(c.getImaginaryPart()) { }

Complex::~Complex() { }

double Complex::getRealPart(void) const {
  return myReal;
}

void Complex::setRealPart(double theReal) {
  myReal = theReal;
}

double Complex::getImaginaryPart(void) const {
  return myImag;
}

void Complex::setImaginaryPart(double theImag) {
  myImag = theImag;
}

Complex operator+(Complex&a, Complex& b) {
  Complex ret(a.getRealPart() + b.getRealPart(), 
	      a.getImaginaryPart() + b.getImaginaryPart());
  return ret;
}
